%define CCVER 3.2.0.6
%define TEMPLATEVER 1.0.1

Summary: A free e-commerce suite  
Name: AllCommerce 
Vendor: Zelerate 
Version: 1.0.4.1
Release: 1.0.25
Copyright: GPL
Group: Applications/Internet
Source0: os_allcommerce-1.0.4.1.tar.gz
Source1: cybercash-%{CCVER}.tgz
Source2: os_allcommerce-admin.mysql
Source3: os_allcommerce-shipping_things_table.dbid
Source4: os_allcommerce-templates-%{version}-%{TEMPLATEVER}.tgz
Source5: os_allcommerce-homelink-images.tgz
Source6: os_allcommerce-1.0.4.1-shipping.tgz
Source7: os_allcommerce-1.0.4.1-guardiandigital_zipmap.sql
Patch0: os_allcommerce-1.0.4.1-CyberCash.patch
Patch1: os_allcommerce-1.0.4.1-decrypt.patch
Patch2: os_allcommerce-1.0.4.1-nextpage.patch
Patch3: os_allcommerce-1.0.4.1-homelink.patch
Patch4: os_allcommerce-1.0.4.1-CyberCash_templates.patch
Patch5: os_allcommerce-1.0.4.1-shipping.patch
Patch6: os_allcommerce-1.0.4.1-mckOrder.patch
Patch7: os_allcommerce-1.0.4.1-insertid.patch
Patch8: os_allcommerce-1.0.4.1-password_log.patch
Patch9: os_allcommerce-1.0.4.1-nobody.patch

Patch20:	AllCommerce-1.0.4.1-nodebug-gd.diff

BuildRoot: /var/tmp/%{name}-root
Requires: MySQL >= 3.22.32, apache >= 1.3.14, perl >= 5.0.4, perl-libwww
BuildArchitectures: noarch

%description
OpenSales AllCommerce is a commerce, content, customer and relationship 
Management system. This high-performance, scalable Internet application 
is written in Perl and uses a backend database. OpenSales AllCommerce 
is released under the GPL.

This the base file, the component (new-store) file is required also.

#### NEW STORE PACKAGE
#
%package new-store
Group: Applications/Internet
Summary: A new default store for the AllCommerce suite 
Requires: AllCommerce

%description new-store
penSales AllCommerce is a commerce, content, customer and relationship
Management system. This high-performance, scalable Internet application
is written in Perl and uses a backend database. OpenSales AllCommerce
is released under the GPL.

This is a new store.  Rename the new-store appropriatly.


%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/os_allcommerce
%setup -q -n os_allcommerce -a 0 -a 1 -a 4 -a 5 -a 6
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p1
%patch7 -p0
%patch8 -p0
%patch9 -p0

%patch20 -p1

%build

#### INSTALL NEW-STORE
#
%install new-store
mkdir -p $RPM_BUILD_ROOT/home/httpd
cp -rap * $RPM_BUILD_ROOT/home/httpd/
rm -rf $RPM_BUILD_ROOT/home/httpd/os_allcommerce/cybercash-%{CCVER}
mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/cgi-bin/mck-cgi
cp -p cybercash-%{CCVER}/mck-cgi/* \
	$RPM_BUILD_ROOT/home/httpd/new-store/cgi-bin/mck-cgi/
chmod 775 cybercash-%{CCVER}/mck-cgi/*
chown root.webd cybercash-%{CCVER}/mck-cgi/*
mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/bits/eng/html/mck
cp -rap cybercash-%{CCVER}/templates/* \
	$RPM_BUILD_ROOT/home/httpd/new-store/bits/eng/html/mck/
cp -rap cybercash-%{CCVER}/lib/cybercash.pm cybercash-%{CCVER}/lib/mckOrder.pm \
	$RPM_BUILD_ROOT/home/httpd/os_allcommerce/lib/
cp -rap cybercash-%{CCVER}/conf/merchant_conf \
	$RPM_BUILD_ROOT/home/httpd/os_allcommerce/conf/ 

cp -rap templates-%{version}-%{TEMPLATEVER}/* \
	$RPM_BUILD_ROOT/home/httpd/os_allcommerce/

mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/tools/data/UPS_ZONES
cp -rap UPS_shipping/zones/* \
	$RPM_BUILD_ROOT/home/httpd/new-store/tools/data/UPS_ZONES
cp -rap UPS_shipping/rates/* \
	$RPM_BUILD_ROOT/home/httpd/new-store/tools/data
install -m644 $RPM_SOURCE_DIR/os_allcommerce-1.0.4.1-guardiandigital_zipmap.sql \
	$RPM_BUILD_ROOT/home/httpd/new-store/tools/data/guardiandigital_zipmap.sql

mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store
cp -rap os_allcommerce/* $RPM_BUILD_ROOT/home/httpd/new-store

cp -rap templates-%{version}-%{TEMPLATEVER}/* \
	$RPM_BUILD_ROOT/home/httpd/new-store/

cp -rap os_allcommerce-homelink-images/* \
	$RPM_BUILD_ROOT/home/httpd/new-store

cd $RPM_BUILD_ROOT/home/httpd/new-store
rm -rf ./cgi-bin/om

install -m755  $RPM_BUILD_DIR/os_allcommerce/cybercash-%{CCVER}/lib/cybercash.pm \
		$RPM_BUILD_ROOT/home/httpd/new-store/lib/cybercash.pm

install -m755 $RPM_BUILD_DIR/os_allcommerce/cybercash-%{CCVER}/lib/mckOrder.pm \
		$RPM_BUILD_ROOT/home/httpd/new-store/lib/mckOrder.pm
install -m555 $RPM_BUILD_DIR/os_allcommerce/cybercash-%{CCVER}/conf/merchant_conf \
		$RPM_BUILD_ROOT/home/httpd/new-store/conf/merchant_conf

touch $RPM_BUILD_DIR/os_allcommerce/cybercash_order.log
touch $RPM_BUILD_DIR/os_allcommerce/cybercash_notification.log
mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/logs
install -m664 -owebd -gwebd $RPM_BUILD_DIR/os_allcommerce/cybercash_order.log \
		$RPM_BUILD_ROOT/home/httpd/new-store/logs/cybercash_order.log
install -m664 -owebd -gwebd $RPM_BUILD_DIR/os_allcommerce/cybercash_notification.log \
		$RPM_BUILD_ROOT/home/httpd/new-store/logs/cybercash_notification.log

install -m555 $RPM_BUILD_DIR/os_allcommerce/cybercash-%{CCVER}/conf/mime.types \
		$RPM_BUILD_ROOT/home/httpd/new-store/conf/mime.types

install -m640 $RPM_SOURCE_DIR/os_allcommerce-admin.mysql \
		$RPM_BUILD_ROOT/home/httpd/new-store/conf/admin.mysql

mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/bits/eng/html/mck

install -m640 $RPM_SOURCE_DIR/os_allcommerce-shipping_things_table.dbid \
		$RPM_BUILD_ROOT/home/httpd/new-store/tools/data/shipping_things_table.dbid

mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/cgi-bin/payloads

mkdir -p $RPM_BUILD_ROOT/home/httpd/new-store/logs
touch $RPM_BUILD_ROOT/home/httpd/new-store/logs/CCmck.log
touch $RPM_BUILD_ROOT/home/httpd/new-store/logs/cybercash_order.log
touch $RPM_BUILD_ROOT/home/httpd/new-store/logs/cybercash_notification.log

## ln -s ./html/eng/DOCS/index.html ./docs
## ln -s ./cgi-bin/om/inbound.cgi ./index.cgi
cd cgi-bin
ln -s ../../os_allcommerce/cgi-bin/om ./om
## cd ..
## ln -s ../os_allcommerce/lib ./lib

chmod 550 $RPM_BUILD_ROOT/home/httpd/new-store/cgi-bin/om/admin/home-link.cgi

%pre

%post

%postun

%clean
rm -rf $RPM_BUILD_ROOT

#### FILES BASE
#
%files
%defattr(550,root,root)
%attr(755,root,root) %dir /home/httpd/os_allcommerce/
%attr(555,root,root) %dir /home/httpd/os_allcommerce/DOCS/
%attr(444,root,root) /home/httpd/os_allcommerce/DOCS/*
## Bits MUST be changed by the Tool
%attr(775,root,webd) /home/httpd/os_allcommerce/bits/ 
%attr(755,root,root) /home/httpd/os_allcommerce/cgi-bin/
## site.pm in conf must be set to r-xr-x--- root webd when created
%attr(555,root,root) %dir /home/httpd/os_allcommerce/conf
/home/httpd/os_allcommerce/conf/*
## group in crons must be changed to store-group in the Tool
%attr(555,root,root) %dir /home/httpd/os_allcommerce/crons
%attr(555,root,root) /home/httpd/os_allcommerce/crons/*
%attr(555,root,root) %dir /home/httpd/os_allcommerce/html
%attr(775,root,webd) /home/httpd/os_allcommerce/html/*
## Images MUST be changed by the Tool 
%attr(775,root,root) /home/httpd/os_allcommerce/images/
%attr(555,root,root) %dir /home/httpd/os_allcommerce/lib
%attr(544,root,root) /home/httpd/os_allcommerce/lib/*
/home/httpd/palm
/home/httpd/ps
## group in tools must be changed to store-group in the Tool
%attr(550,root,root) /home/httpd/os_allcommerce/tools
/home/httpd/os_allcommerce/transit/export
/home/httpd/os_allcommerce/transit/import
%attr(770,root,webd) %dir /home/httpd/os_allcommerce/transit/temp
/home/httpd/os_allcommerce/var
/home/httpd/os_allcommerce/wml
/home/httpd/os_allcommerce/xml


#### FILES NEW-STORE
#
%files new-store
%defattr(550,root,root)
%attr(755,root,root) %dir /home/httpd/new-store/
/home/httpd/new-store/index.cgi
/home/httpd/new-store/docs
%attr(555,root,root) %dir /home/httpd/new-store/DOCS
%attr(444,root,root) /home/httpd/new-store/DOCS/*
## Bits MUST be changed by the Tool
%attr(775,root,webd) /home/httpd/new-store/bits/ 
%attr(755,root,root) %dir /home/httpd/new-store/cgi-bin/
%attr(755,root,root) %dir /home/httpd/new-store/cgi-bin/mck-cgi/
%attr(775,root,webd) /home/httpd/new-store/cgi-bin/mck-cgi/*
%attr(775,root,root) /home/httpd/new-store/cgi-bin/payloads
%attr(775,root,root) /home/httpd/new-store/cgi-bin/om
## site.pm in conf must be set to r-xr-x--- root webd when created
%attr(550,root,webd) %dir /home/httpd/new-store/conf
%attr(440,root,root) /home/httpd/new-store/conf/*.conf
%attr(440,root,webd) /home/httpd/new-store/conf/mime.types
%attr(440,root,webd) /home/httpd/new-store/conf/merchant_conf
%attr(440,root,root) /home/httpd/new-store/conf/admin.mysql
%attr(440,root,root) /home/httpd/new-store/conf/tables.mysql.skel
## group in crons must be changed to store-group in the Tool
%attr(555,root,root) %dir /home/httpd/new-store/crons
%attr(555,root,root) /home/httpd/new-store/crons/*
%attr(555,root,root) %dir /home/httpd/new-store/html
%attr(775,root,webd) /home/httpd/new-store/html/*
## Images MUST be changed by the Tool 
%attr(775,root,root) /home/httpd/new-store/images/
%attr(555,root,root) %dir /home/httpd/new-store/lib
%attr(544,root,root) /home/httpd/new-store/lib/*
/home/httpd/palm
/home/httpd/ps
## group in tools must be changed to store-group in the Tool
%attr(550,root,root) %dir /home/httpd/new-store/tools
%attr(550,root,root) /home/httpd/new-store/tools/*.pl
/home/httpd/new-store/transit/export
/home/httpd/new-store/transit/import
%attr(560,root,webd) %dir /home/httpd/new-store/transit/temp
%attr(750,root,webd) %dir /home/httpd/new-store/logs
%attr(664,root,webd) /home/httpd/new-store/logs/*.log
%attr(750,root,root) %dir /home/httpd/new-store/tools/data
%attr(750,root,root) %dir /home/httpd/new-store/tools/data/UPS_ZONES
%attr(640,root,root) /home/httpd/new-store/tools/data/shipping_things_table.dbid
%attr(640,root,root) /home/httpd/new-store/tools/data/*.csv
%attr(640,root,root) /home/httpd/new-store/tools/data/UPS_ZONES/*
%attr(640,root,root) /home/httpd/new-store/tools/data/guardiandigital_zipmap.sql
/home/httpd/new-store/var
/home/httpd/new-store/wml
/home/httpd/new-store/xml
%attr(770,root,webd) %dir /home/httpd/new-store/data
%attr(770,root,webd) %dir /home/httpd/new-store/data/stats
%attr(770,root,webd) %dir /home/httpd/new-store/data/stats/cron
%attr(770,root,webd) %dir /home/httpd/new-store/data/stats/include

%changelog
* Fri Jul 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.4.1, Release 1.0.25
  - Bumped release to 1.0.25 to avoid any confusion.
  - Added AllCommerce-1.0.4.1-nodebug-gd.diff to disable any debugging output.


* Tue Mar 13 2001 Nick DeClario <nick@guardiandigital.com>
- Changed default user 'nobody' to 'webd' in generate_temps.pl

* Tue Jan 30 2001 Nick DeClario <nick@guardiandigital.com>
- Fixed #RECEIPT_CELL# problem in CyberCash templates
- Fixed mysql_insertid Zelerate bug
- Fixed password in error log Zelerate bug
- Fixed database error checking in receipt

* Thu Jan 25 2001 Nick DeClario <nick@guardiandigital.com>
- Fixed Credit Card expiration date checking error
- Removed 'Password:' from e-mail
- Fixed Statistics permissions problem
- Fixed missing cybercash error templates

* Wed Jan 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version: 1.0.4.1, Release: 1.0.18
  - Fixed a bug in the shipping patch:  s/END/End/;

* Fri Jan 19 2001 Nick DeClario <nick@guardinadigital.com>
- Added Ryans shipping changes into RPM

* Wed Jan 10 2001 Nick DeClario <nick@guardiandigital.com>
- Set all file permissions
- Fixed missing and extra images
- Minor template changes

* Tue Jan 09 2001 Nick DeClario <nick@guardiandigital.com>
- Added the link homepage option to the admin pages
- Fixed mislinked tools direcetory. 

* Mon Jan 08 2001 Nick DeClario <nick@guardiandigital.com>
- Added new templates

* Tue Jan 02 2001 Nick DeClario <nick@guardiandigital.com>
- Lots of small bug fixes to complete automation via the Tool
	o Fixed Shipping costs (perm solution needed still)
	o Fixed CyberCash
	o Fixed minor file permissions
	o Log problems with CyberCash
- Skipped GD version 1.0.10, 1.0.10 was a failed attempt for the
	"stable" release of AllCommerce 1.2.0

* Thu Dec 28 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed requirements problem for newstore 
- Fixed minor Patch problem

* Wed Dec 27 2000 Nick DeClario <nick@guardiandigital.com>
- Patched decrypt and nextpage problems with Perl 5.6 and Netscape 6
- Merged AllCommerce-base and AllCommerce-newstore into single spec file
  Resulting files: AllCommerce-1.0.4.1-1.0.X.noarch.rpm
	           AllCommerce-new-store-1.0.4.1-1.0.X.noarch.rpm

* Fri Dec 22 2000 Nick DeClario <nick@guardiandigital.com>
- Added CyberCash 3.2.0.5 support

* Thu Dec 21 2000 Nick DeClario <nick@guardiandigital.com>
- Upgraded to version 1.0.4.1

* Thu Dec 14 2000 Nick DeClario <nick@guardiandigital.com>
- fixed bad file permissions

* Tue Dec 12 2000 Nick DeClario <nick@guardiandigital.com>
- fixed broken symbolic links
- replaced missing MCK files
- Cleaned up spec file

* Sun Nov 05 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Updated RPM with perl LWP dependancies.
- Added the -r flag to useradd to UID is < 500.

* Thu Sep 07 2000 Nick DeClario <nick@guardiandigital.com>
- first creation of AllCommerce GD Base RPM
